Get all product EPCs on a warehouse node
curl --request GET \
--url https://app.buylo.ai/api/inventory/warehouse-nodes/{warehouse_node}/product-epc \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.buylo.ai/api/inventory/warehouse-nodes/{warehouse_node}/product-epc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.buylo.ai/api/inventory/warehouse-nodes/{warehouse_node}/product-epc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"hash": "8aaedfc3559d0ce545ca55bcea31aad2",
"product": {
"product_id": "ABC123",
"name": {
"en": "Brazil Santos Coffee",
"cs": "Brazilská káva Santos"
},
"category": "Coffee",
"description": {
"en": "Roasted Arabica coffee beans from Brazil",
"cs": "Pražená arabica z Brazílie"
},
"ean": "8591234567890",
"brand": "CoffeeCo",
"prices": [
{
"currency": "EUR",
"price": 199.99
},
{
"currency": "CZK",
"price": 4999
}
],
"vat_rate": 21,
"unit": "kg",
"product_data": {
"color": "red",
"size": "L"
}
},
"product_id": "ABC123",
"status": "in_stock",
"created_at": "2025-08-06T12:00:00Z",
"updated_at": "2025-08-06T12:30:00Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Inventories
Get all product EPCs on a warehouse node
GET
/
api
/
inventory
/
warehouse-nodes
/
{warehouse_node}
/
product-epc
Get all product EPCs on a warehouse node
⌘I